Main Page Modules Alphabetical List Data Structures File List Data Fields Globals

# UI

## Files

file | gnc-ui-util.h
| utility functions for the GnuCash UI.

## Data Structures

struct | _GNCPrintAmountInfo

## Typedefs

typedef GNCSession *(* | GNCSessionCB )(void)
typedef _GNCPrintAmountInfo | GNCPrintAmountInfo

## Enumerations

enum

AccountFieldCode {
ACCOUNT_NAME = 0, ACCOUNT_TYPE, ACCOUNT_COMMODITY, ACCOUNT_CODE,
ACCOUNT_DESCRIPTION, ACCOUNT_PRESENT, ACCOUNT_PRESENT_REPORT, ACCOUNT_BALANCE,
ACCOUNT_BALANCE_REPORT, ACCOUNT_CLEARED, ACCOUNT_CLEARED_REPORT, ACCOUNT_RECONCILED,
ACCOUNT_RECONCILED_REPORT, ACCOUNT_FUTURE_MIN, ACCOUNT_FUTURE_MIN_REPORT, ACCOUNT_TOTAL,
ACCOUNT_TOTAL_REPORT, ACCOUNT_NOTES, ACCOUNT_TAX_INFO, NUM_ACCOUNT_FIELDS
}

enum | GNCEquityType { EQUITY_OPENING_BALANCE, EQUITY_RETAINED_EARNINGS, NUM_EQUITY_TYPES }

enum

PriceSourceCode {
SOURCE_NONE = 0, SPECIFIC_SOURCES, SOURCE_AEX, SOURCE_ASX,
SOURCE_DWS, SOURCE_FIDELITY_DIRECT, SOURCE_FOOL, SOURCE_FUNDLIBRARY,
SOURCE_TDWATERHOUSE, SOURCE_TIAA_CREF, SOURCE_TROWEPRICE_DIRECT, SOURCE_TRUSTNET,
SOURCE_UNION, SOURCE_VANGUARD, SOURCE_VWD, SOURCE_YAHOO,
SOURCE_YAHOO_ASIA, SOURCE_YAHOO_AUSTRALIA, SOURCE_YAHOO_EUROPE, SOURCE_ZUERICH,
GENERAL_SOURCES, SOURCE_ASIA, SOURCE_AUSTRALIA, SOURCE_CANADA,
SOURCE_CANADAMUTUAL, SOURCE_DUTCH, SOURCE_EUROPE, SOURCE_FIDELITY,
SOURCE_TROWEPRICE, SOURCE_UKUNITTRUSTS, SOURCE_USA, NUM_SOURCES
}

## Functions

gboolean | gnc_color_deficits (void)
char | gnc_get_account_separator (void)
gboolean | gnc_reverse_balance (Account *account)
gboolean | gnc_reverse_balance_type (GNCAccountType type)
void | gnc_init_default_directory (char **dirname)
void | gnc_extract_directory (char **dirname, const char *filename)
GNCBook * | gnc_get_current_book (void)
AccountGroup * | gnc_get_current_group (void)
gnc_commodity_table * | gnc_get_current_commodities (void)
char * | gnc_ui_account_get_field_value_string (Account *account, AccountFieldCode field, gboolean *negative)
gnc_numeric | gnc_ui_account_get_balance (Account *account, gboolean include_children)
gnc_numeric | gnc_ui_account_get_reconciled_balance (Account *account, gboolean include_children)
gnc_numeric | gnc_ui_account_get_balance_as_of_date (Account *account, time_t date, gboolean include_children)
const char * | gnc_get_reconcile_str (char reconciled_flag)
const char * | gnc_get_reconcile_valid_flags (void)
const char * | gnc_get_reconcile_flag_order (void)
Account * | gnc_find_or_create_equity_account (AccountGroup *group, GNCEquityType equity_type, gnc_commodity *currency, GNCBook *book)
gboolean | gnc_account_create_opening_balance (Account *account, gnc_numeric balance, time_t date, GNCBook *book)
char * | gnc_account_get_full_name (Account *account)
const char * | gnc_price_source_enum2name (PriceSourceCode source)
const char * | gnc_price_source_enum2internal (PriceSourceCode source)
const char * | gnc_price_source_internal2fq (const char *codename)
PriceSourceCode | gnc_price_source_internal2enum (const char *internal_name)
PriceSourceCode | gnc_price_source_fq2enum (const char *fq_name)
gboolean | gnc_price_source_sensitive (PriceSourceCode source)
void | gnc_price_source_set_fq_installed (GList *sources_list)
gboolean | gnc_price_source_have_fq (void)
lconv * | gnc_localeconv (void)
gnc_commodity * | gnc_locale_default_currency_nodefault (void)
gnc_commodity * | gnc_locale_default_currency (void)
const char * | gnc_locale_default_iso_currency_code (void)
int | gnc_locale_decimal_places (void)
void | gnc_push_locale (const char *locale)
void | gnc_pop_locale (void)
GNCPrintAmountInfo | gnc_default_print_info (gboolean use_symbol)
GNCPrintAmountInfo | gnc_commodity_print_info (const gnc_commodity *commodity, gboolean use_symbol)
GNCPrintAmountInfo | gnc_account_print_info (Account *account, gboolean use_symbol)
GNCPrintAmountInfo | gnc_split_amount_print_info (Split *split, gboolean use_symbol)
GNCPrintAmountInfo | gnc_split_value_print_info (Split *split, gboolean use_symbol)
GNCPrintAmountInfo | gnc_share_print_info_places (int decplaces)
GNCPrintAmountInfo | gnc_default_share_print_info (void)
GNCPrintAmountInfo | gnc_default_price_print_info (void)
GNCPrintAmountInfo | gnc_integral_print_info (void)
const char * | xaccPrintAmount (gnc_numeric val, GNCPrintAmountInfo info)
int | xaccSPrintAmount (char *buf, gnc_numeric val, GNCPrintAmountInfo info)
gboolean | xaccParseAmount (const char *in_str, gboolean monetary, gnc_numeric *result, char **endstr)
void | gnc_set_auto_decimal_enabled (gboolean enabled)
void | gnc_set_auto_decimal_places (int places)
gint32 | towupper (gint32 wc)
int | iswlower (gint32 wc)

## Function Documentation

gnc_numeric gnc_ui_account_get_balance | ( | Account * | account,
|  | gboolean | include_children
| ) |

This routine retrives the total balance in an account, possibly including all sub-accounts under the specified account.

Parameters:

  account | The account to retrieve data about.
  include_children | Include all sub-accounts of this account.

char* gnc_ui_account_get_field_value_string | ( | Account * | account,
|  | AccountFieldCode | field,
|  | gboolean * | negative
| ) |

This routine retrives the content for any given field in the account tree data structure. The account specifies the "row" and the field parameter specifies the "column". In essence, this is one giant accessor routine for the Account object where all the results are string values.

Parameters:

  account | The account to retrieve data about.
  field | An indicator of which field in the account tree to return
  negative | An indicator that the result was a negative numeric value. May be used by the caller for colorization of the returned string.

Returns:
  The textual string representing the requested field.

Note:
  The caller must free the returned string when done with it.

gnc_numeric gnc_ui_account_get_reconciled_balance | ( | Account * | account,
|  | gboolean | include_children
| ) |

This routine retrives the reconciled balance in an account, possibly including all sub-accounts under the specified account.

Parameters:

  account | The account to retrieve data about.
  include_children | Include all sub-accounts of this account.

int xaccSPrintAmount | ( | char * | bufp,
|  | gnc_numeric | val,
|  | GNCPrintAmountInfo | info
| ) |

Parameters:

  bufp | Should be at least 64 chars.